Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
OdeJointGroup Class Reference
Inheritance diagram for OdeJointGroup:

## Public Member Functions
int | compare_to (const OdeJointGroup &other) const
void | destroy ()
void | empty () const
virtual TypeHandle | force_init_type ()
dJointGroupID | get_id () const
virtual TypeHandle | get_type () const
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer.
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer.
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type.
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly.
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type.
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96.

## Additional Inherited Members
Public Attributes inherited from TypedObject
| get_type

## Detailed Description

Definition at line 26 of file odeJointGroup.h.

## Constructor & Destructor Documentation

## ◆ OdeJointGroup()

OdeJointGroup::OdeJointGroup | ( |  | ) |

Definition at line 19 of file odeJointGroup.cxx.

## ◆ ~OdeJointGroup()

OdeJointGroup::~OdeJointGroup | ( |  | ) |
| virtual

Definition at line 24 of file odeJointGroup.cxx.

## Member Function Documentation

## ◆ compare_to()

int OdeJointGroup::compare_to | ( | const OdeJointGroup & | other | ) | const
| inline

Definition at line 24 of file odeJointGroup.I.

## ◆ destroy()

void OdeJointGroup::destroy | ( |  | ) |

Definition at line 28 of file odeJointGroup.cxx.

## ◆ empty()

void OdeJointGroup::empty | ( |  | ) | const
| inline

Definition at line 19 of file odeJointGroup.I.

## ◆ force_init_type()

virtual TypeHandle OdeJointGroup::force_init_type | ( |  | ) |
| inline virtual

Implements TypedObject.

Definition at line 53 of file odeJointGroup.h.

## ◆ get_class_type()

static TypeHandle OdeJointGroup::get_class_type | ( |  | ) |
| inline static

Definition at line 42 of file odeJointGroup.h.

## ◆ get_id()

dJointGroupID OdeJointGroup::get_id | ( |  | ) | const
| inline

Definition at line 14 of file odeJointGroup.I.

## ◆ get_type()

virtual TypeHandle OdeJointGroup::get_type | ( |  | ) | const
| inline virtual

Implements TypedObject.

Definition at line 50 of file odeJointGroup.h.

## ◆ init_type()

static void OdeJointGroup::init_type | ( |  | ) |
| inline static

Definition at line 45 of file odeJointGroup.h.

The documentation for this class was generated from the following files:

- panda/src/ode/odeJointGroup.h
- panda/src/ode/odeJointGroup.cxx
- panda/src/ode/odeJointGroup.I